import { r as registerInstance, B as Build, h } from './index-000d2977.js';

const appVehicleCss = "";

const AppVehicle = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  onSearchInput(event) {
    this.query = event.target.value;
  }
  componentDidLoad() {
    if (!(Build === null || Build === void 0 ? void 0 : Build.isBrowser))
      return;
  }
  render() {
    return [
      h("ion-content", { class: "ion-padding" }, h("floodteam-title-bar", null, h("ion-router-link", { href: "/vehicles" }, "Vehicles"))),
      h("floodteam-navigation-footer", null),
    ];
  }
};
AppVehicle.style = appVehicleCss;

export { AppVehicle as app_vehicle };
